Version v1.70.0 to v1.71.0


Summary of Changes

20 - New

28 - Updated

870 - Total Endpoints

591 - Total Paths



Added

[ appliance ]

interfaces

Docs

Create wired L3 interface

Operation ID: createNetworkApplianceInterfacesL3

PATH /networks/{networkId}/appliance/interfaces/l3

- Path added

- New endpoint

POST /networks/{networkId}/appliance/interfaces/l3



Docs

Delete wired L3 interface

Operation ID: deleteNetworkApplianceInterfacesL3

PATH /networks/{networkId}/appliance/interfaces/l3/{interfaceId}

- Path added

- New endpoint

DELETE /networks/{networkId}/appliance/interfaces/l3/{interfaceId}



Docs

Update wired L3 interface

Operation ID: updateNetworkApplianceInterfacesL3

PATH /networks/{networkId}/appliance/interfaces/l3/{interfaceId}

- Path added

- New endpoint

PUT /networks/{networkId}/appliance/interfaces/l3/{interfaceId}



umbrella

Docs

Specify one or more domain names to be excluded from being routed to Cisco Umbrella.

Operation ID: exclusionsNetworkApplianceUmbrellaDomains

PATH /networks/{networkId}/appliance/umbrella/domains/exclusions

- Path added

- New endpoint

PUT /networks/{networkId}/appliance/umbrella/domains/exclusions



Docs

Add one Cisco Umbrella DNS security policy to an MX network by policy ID

Operation ID: addNetworkApplianceUmbrellaPolicies

PATH /networks/{networkId}/appliance/umbrella/policies/add

- Path added

- New endpoint

POST /networks/{networkId}/appliance/umbrella/policies/add



Docs

Remove one Cisco Umbrella DNS security policy from an MX network by policy ID

Operation ID: removeNetworkApplianceUmbrellaPolicies

PATH /networks/{networkId}/appliance/umbrella/policies/remove

- Path added

- New endpoint

POST /networks/{networkId}/appliance/umbrella/policies/remove



Docs

Enable or disable umbrella protection for an appliance network

Operation ID: protectionNetworkApplianceUmbrella

PATH /networks/{networkId}/appliance/umbrella/protection

- Path added

- New endpoint

PUT /networks/{networkId}/appliance/umbrella/protection



[ devices ]

appliance

Docs

Update configurations for an appliance's specified port

Operation ID: createDeviceApplianceInterfacesPortsUpdate

PATH /devices/{serial}/appliance/interfaces/ports/update

- Path added

- New endpoint

POST /devices/{serial}/appliance/interfaces/ports/update



liveTools

Docs

Enqueue a job to retrieve port status for a device

Operation ID: createDeviceLiveToolsPortsStatus

PATH /devices/{serial}/liveTools/ports/status

- Path added

- New endpoint

POST /devices/{serial}/liveTools/ports/status



Docs

Return a port status live tool job.

Operation ID: getDeviceLiveToolsPortsStatus

PATH /devices/{serial}/liveTools/ports/status/{jobId}

- Path added

- New endpoint

GET /devices/{serial}/liveTools/ports/status/{jobId}



Docs

Enqueues a live tool job that retrieves details about a device's overall power usage

Operation ID: createDeviceLiveToolsPowerUsage

PATH /devices/{serial}/liveTools/power/usage

- Path added

- New endpoint

POST /devices/{serial}/liveTools/power/usage



Docs

Retrieve the status and results of a previously created live tool job fetching details about a device's overall power usage.

Operation ID: getDeviceLiveToolsPowerUsage

PATH /devices/{serial}/liveTools/power/usage/{jobId}

- Path added

- New endpoint

GET /devices/{serial}/liveTools/power/usage/{jobId}



Docs

Enqueue a job to perform a routing table lookup request for a device

Operation ID: createDeviceLiveToolsRoutingTableLookup

PATH /devices/{serial}/liveTools/routingTable/lookups

- Path added

- New endpoint

POST /devices/{serial}/liveTools/routingTable/lookups



Docs

Return a routing table live tool lookup job for a device

Operation ID: getDeviceLiveToolsRoutingTableLookup

PATH /devices/{serial}/liveTools/routingTable/lookups/{id}

- Path added

- New endpoint

GET /devices/{serial}/liveTools/routingTable/lookups/{id}



Docs

Enqueue a routing table summary job for a device

Operation ID: createDeviceLiveToolsRoutingTableSummary

PATH /devices/{serial}/liveTools/routingTable/summaries

- Path added

- New endpoint

POST /devices/{serial}/liveTools/routingTable/summaries



Docs

Return the status and result of a routing table summary job

Operation ID: getDeviceLiveToolsRoutingTableSummary

PATH /devices/{serial}/liveTools/routingTable/summaries/{id}

- Path added

- New endpoint

GET /devices/{serial}/liveTools/routingTable/summaries/{id}



[ organizations ]

appliance

Docs

List L3 interfaces across networks for the organization

Operation ID: getOrganizationApplianceDevicesInterfacesL3

PATH /organizations/{organizationId}/appliance/devices/interfaces/l3

- Path added

- New endpoint

GET /organizations/{organizationId}/appliance/devices/interfaces/l3



Docs

Returns port configurations for appliances in a given organization

Operation ID: getOrganizationApplianceDevicesInterfacesPortsByDevice

PATH /organizations/{organizationId}/appliance/devices/interfaces/ports/byDevice

- Path added

- New endpoint

GET /organizations/{organizationId}/appliance/devices/interfaces/ports/byDevice



Docs

Return time-series digital optical monitoring (DOM) readings for ports on each DOM-enabled Catalyst appliance in an organization.

Operation ID: getOrganizationApplianceDevicesPortsTransceiversReadingsHistoryByDevice

PATH /organizations/{organizationId}/appliance/devices/ports/transceivers/readings/history/byDevice

- Path added

- New endpoint

GET /organizations/{organizationId}/appliance/devices/ports/transceivers/readings/history/byDevice



Docs

Returns packet counter overviews for all interfaces on Secure Routers in the organization, including totals and average rates by packet type over the requested timespan.

Operation ID: getOrganizationApplianceInterfacesPacketsOverviewsByDevice

PATH /organizations/{organizationId}/appliance/interfaces/packets/overviews/byDevice

- Path added

- New endpoint

GET /organizations/{organizationId}/appliance/interfaces/packets/overviews/byDevice



Changed

[ appliance ]

ports

Docs

List per-port VLAN settings for all ports of a secure router or security appliance.

Operation ID: getNetworkAppliancePorts

GET /networks/{networkId}/appliance/ports

- added the optional property items/sgt to the response with the 200 status


Docs

Return per-port VLAN settings for a single secure router or security appliance port.

Operation ID: getNetworkAppliancePort

GET /networks/{networkId}/appliance/ports/{portId}

- added the optional property sgt to the response with the 200 status


Docs

Update the per-port VLAN settings for a single secure router or security appliance port.

Operation ID: updateNetworkAppliancePort

PUT /networks/{networkId}/appliance/ports/{portId}

- added the new optional request property sgt

- added the optional property sgt to the response with the 200 status


vlans

Docs

List the VLANs for a Security Appliance network

Operation ID: getNetworkApplianceVlans

GET /networks/{networkId}/appliance/vlans

- added the optional property items/sgt to the response with the 200 status


Docs

Add a VLAN

Operation ID: createNetworkApplianceVlan

POST /networks/{networkId}/appliance/vlans

- added the new optional request property sgt

- added the optional property sgt to the response with the 201 status


Docs

Return a VLAN

Operation ID: getNetworkApplianceVlan

GET /networks/{networkId}/appliance/vlans/{vlanId}

- added the optional property sgt to the response with the 200 status


Docs

Update a VLAN

Operation ID: updateNetworkApplianceVlan

PUT /networks/{networkId}/appliance/vlans/{vlanId}

- added the new optional request property sgt

- added the optional property sgt to the response with the 200 status


vpn

Docs

Return the site-to-site VPN settings of a network

Operation ID: getNetworkApplianceVpnSiteToSiteVpn

GET /networks/{networkId}/appliance/vpn/siteToSiteVpn

- added the optional property sgt to the response with the 200 status


Docs

Update the site-to-site VPN settings of a network

Operation ID: updateNetworkApplianceVpnSiteToSiteVpn

PUT /networks/{networkId}/appliance/vpn/siteToSiteVpn

- added the new optional request property sgt

- added the optional property sgt to the response with the 200 status


[ devices ]

camera

Docs

Returns quality and retention settings for the given camera

Operation ID: getDeviceCameraQualityAndRetention

GET /devices/{serial}/camera/qualityAndRetention

- the response property quality became nullable for the status 200

- the response property resolution became nullable for the status 200


Docs

Update quality and retention settings for the given camera

Operation ID: updateDeviceCameraQualityAndRetention

PUT /devices/{serial}/camera/qualityAndRetention

- the response property quality became nullable for the status 200

- the response property resolution became nullable for the status 200


[ organizations ]

api

Docs

Retrieves pipeline overviews with aggregated job status counts

Operation ID: getOrganizationApiRestProvisioningPipelinesJobsOverviewsByPipeline

GET /organizations/{organizationId}/api/rest/provisioning/pipelines/jobs/overviews/byPipeline

- added the optional property items/items/counts/byJobOperation to the response with the 200 status


assurance

Docs

Return all health alerts for an organization

Operation ID: getOrganizationAssuranceAlerts

GET /organizations/{organizationId}/assurance/alerts

- added the enum value mcg_dr_allowed_vlans_mismatch to the property items/ of the query request parameter types


Docs

Return overview of active health alerts for an organization

Operation ID: getOrganizationAssuranceAlertsOverview

GET /organizations/{organizationId}/assurance/alerts/overview

- added the enum value mcg_dr_allowed_vlans_mismatch to the property items/ of the query request parameter types


Docs

Return a Summary of Alerts grouped by network and severity

Operation ID: getOrganizationAssuranceAlertsOverviewByNetwork

GET /organizations/{organizationId}/assurance/alerts/overview/byNetwork

- added the enum value mcg_dr_allowed_vlans_mismatch to the property items/ of the query request parameter types


Docs

Return a Summary of Alerts grouped by type and severity

Operation ID: getOrganizationAssuranceAlertsOverviewByType

GET /organizations/{organizationId}/assurance/alerts/overview/byType

- added the enum value mcg_dr_allowed_vlans_mismatch to the property items/ of the query request parameter types


Docs

Returns historical health alert overviews

Operation ID: getOrganizationAssuranceAlertsOverviewHistorical

GET /organizations/{organizationId}/assurance/alerts/overview/historical

- added the enum value mcg_dr_allowed_vlans_mismatch to the property items/ of the query request parameter types


clone

Docs

Create a new organization by cloning the addressed organization

Operation ID: cloneOrganization

POST /organizations/{organizationId}/clone

- added the optional property privacy to the response with the 201 status


general

Docs

List the organizations that the user has privileges on

Operation ID: getOrganizations

GET /organizations

- added the optional property items/privacy to the response with the 200 status


Docs

Create a new organization

Operation ID: createOrganization

POST /organizations

- added the optional property privacy to the response with the 201 status


Docs

Return an organization

Operation ID: getOrganization

GET /organizations/{organizationId}

- added the optional property privacy to the response with the 200 status


Docs

Update an organization

Operation ID: updateOrganization

PUT /organizations/{organizationId}

- added the new optional request property privacy

- added the optional property privacy to the response with the 200 status


loginSecurity

Docs

Returns the login security settings for an organization.

Operation ID: getOrganizationLoginSecurity

GET /organizations/{organizationId}/loginSecurity

- added the optional property enforceLockedIpSessions to the response with the 200 status


Docs

Update the login security settings for an organization

Operation ID: updateOrganizationLoginSecurity

PUT /organizations/{organizationId}/loginSecurity

- added the new optional request property enforceLockedIpSessions

- added the optional property enforceLockedIpSessions to the response with the 200 status


[ snmp ]

general

Docs

Return the SNMP settings for a network

Operation ID: getNetworkSnmp

GET /networks/{networkId}/snmp

- added the optional property authentication to the response with the 200 status

- added the optional property privacy to the response with the 200 status


Docs

Update the SNMP settings for a network

Operation ID: updateNetworkSnmp

PUT /networks/{networkId}/snmp

- added the new optional request property authentication

- added the new optional request property privacy

- added the optional property authentication to the response with the 200 status

- added the optional property privacy to the response with the 200 status


[ wireless ]

ssids

Docs

Display the splash page settings for the given SSID

Operation ID: getNetworkWirelessSsidSplashSettings

GET /networks/{networkId}/wireless/ssids/{number}/splash/settings

- added the optional property userConsent to the response with the 200 status


Docs

Modify the splash page settings for the given SSID

Operation ID: updateNetworkWirelessSsidSplashSettings

PUT /networks/{networkId}/wireless/ssids/{number}/splash/settings

- added the new optional request property userConsent

- added the optional property userConsent to the response with the 200 status